com.io7m.r2.core.debug

## Class R2DebugInstances

- java.lang.Object
- - com.io7m.r2.core.debug.R2DebugInstances

- All Implemented Interfaces:
    R2DebugInstancesType

      @Generated(value={"Immutables.generator","R2DebugInstancesType"})
      public final class R2DebugInstances
      extends Object
      implements R2DebugInstancesType

  Extra instances for displaying debugging data.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `R2DebugInstances.Builder` Builds instances of type `R2DebugInstances`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static R2DebugInstances.Builder` | `builder()` Creates a builder for `R2DebugInstances`.
    `static R2DebugInstances` | `copyOf(R2DebugInstancesType instance)` Creates an immutable copy of a `R2DebugInstancesType` value.
    `List<R2DebugCubeInstance>` | `cubes()`
    `boolean` | `equals(Object another)` This instance is equal to all instances of `R2DebugInstances` that have equal attribute values.
    `int` | `hashCode()` Computes a hash code from attributes: `lineSegments`, `cubes`, `instanceSingles`.
    `List<R2DebugInstanceSingle>` | `instanceSingles()`
    `List<R2DebugLineSegment>` | `lineSegments()`
    `static R2DebugInstances` | `of(Iterable<? extends R2DebugLineSegment> lineSegments, Iterable<? extends R2DebugCubeInstance> cubes, Iterable<? extends R2DebugInstanceSingle> instanceSingles)` Construct a new immutable `R2DebugInstances` instance.
    `static R2DebugInstances` | `of(List<R2DebugLineSegment> lineSegments, List<R2DebugCubeInstance> cubes, List<R2DebugInstanceSingle> instanceSingles)` Construct a new immutable `R2DebugInstances` instance.
    `String` | `toString()` Prints the immutable value `R2DebugInstances` with attribute values.
    `R2DebugInstances` | `withCubes(Iterable<? extends R2DebugCubeInstance> elements)` Copy the current immutable object with elements that replace the content of `cubes`.
    `R2DebugInstances` | `withCubes(R2DebugCubeInstance... elements)` Copy the current immutable object with elements that replace the content of `cubes`.
    `R2DebugInstances` | `withInstanceSingles(Iterable<? extends R2DebugInstanceSingle> elements)` Copy the current immutable object with elements that replace the content of `instanceSingles`.
    `R2DebugInstances` | `withInstanceSingles(R2DebugInstanceSingle... elements)` Copy the current immutable object with elements that replace the content of `instanceSingles`.
    `R2DebugInstances` | `withLineSegments(Iterable<? extends R2DebugLineSegment> elements)` Copy the current immutable object with elements that replace the content of `lineSegments`.
    `R2DebugInstances` | `withLineSegments(R2DebugLineSegment... elements)` Copy the current immutable object with elements that replace the content of `lineSegments`.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### lineSegments

          public List<R2DebugLineSegment> lineSegments()

      Specified by:
        `lineSegments` in interface `R2DebugInstancesType`
      Returns:
        The set of line segments to display

    - #### cubes

          public List<R2DebugCubeInstance> cubes()

      Specified by:
        `cubes` in interface `R2DebugInstancesType`
      Returns:
        The set of debug cubes to display

    - #### instanceSingles

          public List<R2DebugInstanceSingle> instanceSingles()

      Specified by:
        `instanceSingles` in interface `R2DebugInstancesType`
      Returns:
        The set of single instances to display

    - #### withLineSegments

          public final R2DebugInstances withLineSegments(R2DebugLineSegment... elements)

      Copy the current immutable object with elements that replace the content of `lineSegments`.
      Parameters:
        `elements` - The elements to set
      Returns:
        A modified copy of `this` object

    - #### withLineSegments

          public final R2DebugInstances withLineSegments(Iterable<? extends R2DebugLineSegment> elements)

      Copy the current immutable object with elements that replace the content of `lineSegments`. A shallow reference equality check is used to prevent copying of the same value by returning `this`.
      Parameters:
        `elements` - An iterable of lineSegments elements to set
      Returns:
        A modified copy of `this` object

    - #### withCubes

          public final R2DebugInstances withCubes(R2DebugCubeInstance... elements)

      Copy the current immutable object with elements that replace the content of `cubes`.
      Parameters:
        `elements` - The elements to set
      Returns:
        A modified copy of `this` object

    - #### withCubes

          public final R2DebugInstances withCubes(Iterable<? extends R2DebugCubeInstance> elements)

      Copy the current immutable object with elements that replace the content of `cubes`. A shallow reference equality check is used to prevent copying of the same value by returning `this`.
      Parameters:
        `elements` - An iterable of cubes elements to set
      Returns:
        A modified copy of `this` object

    - #### withInstanceSingles

          public final R2DebugInstances withInstanceSingles(R2DebugInstanceSingle... elements)

      Copy the current immutable object with elements that replace the content of `instanceSingles`.
      Parameters:
        `elements` - The elements to set
      Returns:
        A modified copy of `this` object

    - #### withInstanceSingles

          public final R2DebugInstances withInstanceSingles(Iterable<? extends R2DebugInstanceSingle> elements)

      Copy the current immutable object with elements that replace the content of `instanceSingles`. A shallow reference equality check is used to prevent copying of the same value by returning `this`.
      Parameters:
        `elements` - An iterable of instanceSingles elements to set
      Returns:
        A modified copy of `this` object

    - #### equals

          public boolean equals(Object another)

      This instance is equal to all instances of `R2DebugInstances` that have equal attribute values.
      Overrides:
        `equals` in class `Object`
      Returns:
        `true` if `this` is equal to `another` instance

    - #### hashCode

          public int hashCode()

      Computes a hash code from attributes: `lineSegments`, `cubes`, `instanceSingles`.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        hashCode value

    - #### toString

          public String toString()

      Prints the immutable value `R2DebugInstances` with attribute values.
      Overrides:
        `toString` in class `Object`
      Returns:
        A string representation of the value

    - #### of

          public static R2DebugInstances of(List<R2DebugLineSegment> lineSegments,
                                            List<R2DebugCubeInstance> cubes,
                                            List<R2DebugInstanceSingle> instanceSingles)

      Construct a new immutable `R2DebugInstances` instance.
      Parameters:
        `lineSegments` - The value for the `lineSegments` attribute
        `cubes` - The value for the `cubes` attribute
        `instanceSingles` - The value for the `instanceSingles` attribute
      Returns:
        An immutable R2DebugInstances instance

    - #### of

          public static R2DebugInstances of(Iterable<? extends R2DebugLineSegment> lineSegments,
                                            Iterable<? extends R2DebugCubeInstance> cubes,
                                            Iterable<? extends R2DebugInstanceSingle> instanceSingles)

      Construct a new immutable `R2DebugInstances` instance.
      Parameters:
        `lineSegments` - The value for the `lineSegments` attribute
        `cubes` - The value for the `cubes` attribute
        `instanceSingles` - The value for the `instanceSingles` attribute
      Returns:
        An immutable R2DebugInstances instance

    - #### copyOf

          public static R2DebugInstances copyOf(R2DebugInstancesType instance)

      Creates an immutable copy of a `R2DebugInstancesType` value. Uses accessors to get values to initialize the new immutable instance. If an instance is already immutable, it is returned as is.
      Parameters:
        `instance` - The instance to copy
      Returns:
        A copied immutable R2DebugInstances instance

    - #### builder

          public static R2DebugInstances.Builder builder()

      Creates a builder for `R2DebugInstances`.
      Returns:
        A new R2DebugInstances builder

Copyright © 2017 <code@io7m.com> http://io7m.com